## content-hub 0.0+15.04.20150331

=== debian/changelog ===
content-hub (0.0+15.04.20150331-0ubuntu1.0) vivid-security; urgency=medium

  * SECURITY UPDATE: file disclosure via unchecked AppArmor profile
    (LP: #1456628)
    - debian/patches/lp1456628.patch: Don't allow exporting of files that
      aren't allowed by the source apparmor profile
    - CVE-2015-1327

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 01 Jun 2015 11:17:27 -0400

content-hub (0.0+15.04.20150331-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * When requesting an import from an unknown peer, abort the transfer.
    This is most likely to occur when requesting the default peer for a
    ContentType that has no default registered. (LP: #1429695)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 31 Mar 2015 14:10:11 +0000

content-hub (0.0+15.04.20150319-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * Abort transfers when a file already exists matching the requested
    name and ContentStore. (LP: #1429687)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Mar 2015 15:27:11 +0000

content-hub (0.0+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Use the theme background so that fonts are visible with dark apps
    (LP: #1384490)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 16:56:52 +0000

content-hub (0.0+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Handle content peer model loading asynchronously (LP: #1390096)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 14:17:57 +0000

content-hub (0.0+15.04.20141126-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Added test peers for automated testing of export, import and shares.

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Nov 2014 15:26:15 +0000

content-hub (0.0+15.04.20141120-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Fixed conflict with nih-dbus and our own i18n wrapper (LP: #1394211)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Nov 2014 04:22:47 +0000

content-hub (0.0+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Added EBooks to well known types (LP: #1383732)

  [ CI bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michael Sheldon ]
  * Set the caller on the ContentTransferHint dialog to allow it to be
    destroyed safely when its parent is destroyed. (LP: #1377334)
  * Update click hook wrapper to account for change in dbus-session
    file. (LP: #1390095)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 16:31:46 +0000

content-hub (0.0+14.10.20141014-0ubuntu1) 14.09; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michael Sheldon ]
  * Add support for receiving directories of unzipped files from
    download manager. (LP: #1365993)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 16:11:13 +0000

content-hub (0.0+14.10.20141010-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * Include missing sources in the translation template, use the custom
    rule to update it and load the translations from the correct domain

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 16:16:32 +0000

content-hub (0.0+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Fall back to a copy if move fails (LP: #1373086)

  [ Michael Sheldon ]
  * Fix packaging for translations.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 14:44:05 +0000

content-hub (0.0+14.10.20141007-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * use X-Ubuntu-Use-Langpack so translations are imported (LP:
    #1378324)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 14:44:14 +0000

content-hub (0.0+14.10.20140919-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Fixed handling of translated strings from
    g_app_info_get_display_name (LP: #1368770) (LP: #1368770)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Sep 2014 14:40:29 +0000

content-hub (0.0+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Build with dh_translations (LP: #1359166) (LP: #1359166)
  * Improved uncreatable message for ContentTransfer

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 20:50:10 +0000

content-hub (0.0+14.10.20140828-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Expose the source and destination app IDs on transfers.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 03:09:56 +0000

content-hub (0.0+14.10.20140815-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Add a cancel button to the ContentTransferHint.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 17:49:09 +0000

content-hub (0.0+14.10.20140806.2-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Add contentType property to Transfer

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 20:09:47 +0000

content-hub (0.0+14.10.20140801.4-0ubuntu1) utopic; urgency=medium

  [ Ken VanDine ]
  * debian/control
    - Renamed the binary for the qml module to qtdeclarative5-ubuntu-content1
      to reflect support for API version 1.x instead of 0.1

  [ Michael Sheldon ]
  * Remove the Ubuntu shape from the save icon in the download snap
    decision. (LP: #1350281)
  * Transfer entire content Item objects over dbus, instead of just
    their URL component. Adds name property to C++ backend and connects
    to existing QML property.
  * Ignore unused function warnings (new in g++ 4.9), as utils.cpp
    defines a number of static functions that may not be used
    everywhere.
  * Make the ContentPeerPicker's header text customisable and replace
    the bottom cancel button with new header style cancel.

  [ Ubuntu daily release ]
  * New rebuild forced


