=== debian/control ===
Source: content-hub
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               click-dev,
               dbus-test-runner,
               debhelper (>= 9),
               dh-apparmor,
               dh-translations,
               doxygen,
               google-mock,
               lcov,
               libapparmor-dev,
               libglib2.0-dev,
               libgsettings-qt-dev,
               libnih-dbus-dev,
               libnotify-dev,
               libubuntu-download-manager-client-dev,
               libubuntu-app-launch2-dev (>= 0.3+14.04.20140124),
               qt5-default,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-qtquick2-plugin,
               qtdeclarative5-test-plugin,
Standards-Version: 3.9.4
Section: libs
Homepage: https://launchpad.net/content-hub
# If you aren't a member of ~phablet-team but need to upload packaging changes,
# just go ahead. ~phablet-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~phablet-team/content-hub/trunk
Vcs-Browser: https://bazaar.launchpad.net/~phablet-team/content-hub/trunk/files
X-Ubuntu-Use-Langpack: yes

Package: content-hub
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: content sharing/picking service
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 This package includes the content sharing service.

Package: libcontent-hub0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: content-hub
Breaks: gallery-app (<= 0.0.67+13.10.20130924.1-0ubuntu1)
Description: content sharing/picking library
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 This package includes the content sharing libraries.

Package: libcontent-hub-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcontent-hub0 (= ${binary:Version}),
         ${misc:Depends},
Description: content sharing development files
 All the development headers and libraries for the content hub

Package: qtdeclarative5-ubuntu-content1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: libcontent-hub0,
         qtdeclarative5-qtquick2-plugin,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: qtdeclarative5-ubuntu-content0.1 (<= 0.0+14.10.20140710-0ubuntu1)
Provides: qtdeclarative5-ubuntu-content0.1
Breaks: qtdeclarative5-ubuntu-content0.1 (<= 0.0+14.10.20140710-0ubuntu1)
Description: QML binding for libcontent-hub
 QML bindings for libcontent-hub

Package: libcontent-hub-doc
Section: doc
Architecture: all
Depends: libcontent-hub-dev (>= ${source:Version}),
         ${misc:Depends},
Description: Documentation files for libcontent-hub-dev
 Documentation files for the libcontent-hub development

Package: content-hub-testability
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: content sharing testability
 Files and utilities needed for automated testing of content-hub
