=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --with click,translations --fail-missing -- -B build

override_dh_auto_install:
	dh_auto_install
	dh_apparmor -pcontent-hub-testability --profile-name=content-hub-testability

override_dh_auto_test:
	dbus-test-runner -t make -p "-C" -p "build/tests/acceptance-tests" -p test
	
override_dh_translations:
	make -C po content-hub.pot
