## content-hub 0.0+15.10.20150518

=== CMakeLists.txt ===
--- 
+++ 
@@ -103,6 +103,7 @@
 add_subdirectory(import)
 add_subdirectory(examples)
 add_subdirectory(tests)
+add_subdirectory(tools)
 
 install(DIRECTORY include DESTINATION ${CMAKE_INSTALL_PREFIX})
