=== src/com/ubuntu/content/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
   ${UBUNTU_LAUNCH_INCLUDE_DIRS}
   ${UBUNTU_DOWNLOAD_MANAGER_INCLUDE_DIRS}
   ${NOTIFY_INCLUDE_DIRS}
+  ${APPARMOR_INCLUDE_DIRS}
 )
 
 qt5_add_dbus_interface(
@@ -105,6 +106,7 @@
     ${GIO_LIBRARIES}
     ${UBUNTU_DOWNLOAD_MANAGER_LIBRARIES}
     ${NOTIFY_LIBRARIES}
+    ${APPARMOR_LDFLAGS}
 )
 
 install(
