=== src/com/ubuntu/content/service/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
   main.cpp
   registry.cpp
   ../debug.cpp
+  ../utils.cpp
   ${CONTENT_SERVICE_SKELETON}
 )
