## content-hub 0.1+16.04.20160309

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,7 @@
 pkg_check_modules(GLIB REQUIRED glib-2.0)
 pkg_check_modules(GIO REQUIRED gio-unix-2.0)
 pkg_check_modules(UBUNTU_LAUNCH REQUIRED ubuntu-app-launch-2)
+pkg_check_modules(LIBERTINE REQUIRED libertine)
 pkg_check_modules(GSETTINGS REQUIRED gsettings-qt)
 pkg_check_modules(NIH REQUIRED libnih)
 pkg_check_modules(NIH_DBUS REQUIRED libnih-dbus)
