=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -19,11 +19,15 @@
 set (GMOCK_SOURCE_DIR "/usr/src/gmock" CACHE PATH "gmock source directory")
 set (GTEST_INCLUDE_DIR "${GMOCK_SOURCE_DIR}/gtest/include" CACHE PATH "gtest source include directory")
 
+add_definitions(-DQT_NO_KEYWORDS)
+
 add_subdirectory(${GMOCK_SOURCE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/gmock")
 
 include_directories (
   ${CMAKE_SOURCE_DIR}/src
   ${CMAKE_SOURCE_DIR}/src/com/ubuntu/content
+  ${GIO_INCLUDE_DIRS}
+  ${LIBERTINE_INCLUDE_DIRS}
   ${UBUNTU_LAUNCH_INCLUDE_DIRS}
   ${CMAKE_BINARY_DIR}/src
   ${GMOCK_INCLUDE_DIR}
