=== tests/peers/exporter/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 )
 
 qt5_use_modules(content-hub-test-exporter Core Gui DBus)
+pkg_check_modules(APPARMOR REQUIRED libapparmor)
 
 set_target_properties(
   content-hub-test-exporter
@@ -35,6 +36,7 @@
   content-hub-test-exporter
  
   content-hub 
+  ${APPARMOR_LDFLAGS}
 )
 
 install(
